﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddEditArticle.aspx.cs" Inherits="Dynamicweb.Samples.Web.CustomModules.DvkArticles.Admin.AddEditArticle" ValidateRequest="false" %>
<%@ Register TagPrefix="dw" Namespace="Dynamicweb.Controls" Assembly="Dynamicweb.Controls" %>
<%@ Register Assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" Namespace="System.Web.UI.WebControls" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<dw:ControlResources ID="ctrlResources" runat="server" IncludePrototype="true" />
	<link href="../Styles/DvkStyles.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript">
		function handleStyleChange(selectedStyle, rowIndex, control)
		{
			$('selectedCssClass').value = selectedStyle;
			myScrollable_scrollable.hidePopUp();
			if (myScrollable_scrollable.current != rowIndex)
			{
				myScrollable_scrollable.scrollTo(rowIndex);
			}
			$$('div.styleItem').each(function (el)
			{
				el.removeClassName('highlight')
			});
			$(control).addClassName('highlight');
		}

		function cancelEdit()
		{
			location.href = 'Default.aspx';
		}

		Event.observe(window, 'load', function ()
		{
			var selectedClass = $('selectedCssClass').value;
			if (selectedClass != null && selectedClass != '')
			{
				$$('.' + selectedClass).each(function (el)
				{
					el.click();
				});
			}
		});

	</script>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:HiddenField ID="selectedCssClass" runat="server" />
		<dw:RibbonBar ID="myRibbon" runat="server">
			<dw:RibbonBarTab ID="generalTab" Name="General" runat="server">
				<dw:RibbonBarGroup ID="toolsGroup1" Name="Tools" runat="server">
					<dw:RibbonBarButton ID="saveButton1" Size="Small" Text="Save" Image="Save" runat="server" EnableServerClick="true" OnClick="SaveButton_Click" />
					<dw:RibbonBarButton ID="saveAndCloseButton1" Size="Small" Text="Save and close" Image="SaveAndClose" runat="server" EnableServerClick="true" OnClick="SaveAndCloseButton_Click" />
					<dw:RibbonBarButton ID="cancelButton1" Size="Small" Text="Cancel" Image="Cancel" runat="server" OnClientClick="cancelEdit();" />
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="categoryGroup" Name="Category" runat="server">
					<dw:RibbonBarPanel ID="panel" runat="server">
						<asp:DropDownList ID="CategoryList" runat="server" DataSourceID="edsCategories" DataTextField="Description" DataValueField="Id">
						</asp:DropDownList>
					</dw:RibbonBarPanel>
					<asp:EntityDataSource ID="edsCategories" runat="server" ConnectionString="name=CustomModulesSamplesEntities" DefaultContainerName="CustomModulesSamplesEntities" EntitySetName="Categories" OrderBy="it.[Description]" Select="it.[Id], it.[Description]" />
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="galleryGroup" Name="Style Gallery" runat="server">
					<dw:RibbonBarScrollable ID="myScrollable" Name="Select a style" RowsExpression="tr[class='stylesRow']" runat="server">
						<asp:ListView ID="stylesList" runat="server" GroupItemCount="3" ItemPlaceholderID="itemsGoHere" GroupPlaceholderID="groupsGoHere" OnItemCreated="stylesList_ItemCreated">
							<LayoutTemplate>
								<table class="stylesTable" cellpadding="0" cellspacing="0">
								<asp:PlaceHolder runat="server" ID="groupsGoHere"></asp:PlaceHolder>
								</table>
							</LayoutTemplate>
							<GroupTemplate>
								<tr class="stylesRow">
									<asp:PlaceHolder runat="server" ID="itemsGoHere"></asp:PlaceHolder>
								</tr>
							</GroupTemplate>
							<ItemTemplate>
								<td>
									<div class="styleItem <%#Eval("Key")%>" onclick="handleStyleChange('<%#Eval("Key")%>', <%#RowIndex %>, this);">
										<%#Eval("Value")%></div>
								</td>
							</ItemTemplate>
						</asp:ListView>
					</dw:RibbonBarScrollable>
				</dw:RibbonBarGroup>
			</dw:RibbonBarTab>
			<dw:RibbonBarTab ID="toolsTab" Name="Tools" runat="server">
				<dw:RibbonBarGroup ID="toolsGroup2" Name="Tools" runat="server">
					<dw:RibbonBarButton ID="saveButton2" Size="Small" Text="Save" Image="Save" runat="server" EnableServerClick="true" OnClick="SaveButton_Click" />
					<dw:RibbonBarButton ID="saveAndCloseButton2" Size="Small" Text="Save and close" Image="SaveAndClose" runat="server" EnableServerClick="true" OnClick="SaveAndCloseButton_Click" />
					<dw:RibbonBarButton ID="cancelButton2" Size="Small" Text="Cancel" Image="Cancel" runat="server" OnClientClick="location.href='Default.aspx'" />
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="activationGroup" Name="Activation Period" runat="server">
					<dw:RibbonBarPanel ID="myPanel2" ExcludeMarginImage="false" runat="server">
						<table style="height: 45px; margin: 0;">
						<tr valign="top">
							<td>
								<dw:DateSelector runat="server" EnableViewState="false" ID="PublishFrom" />
							</td>
							<td>
								Activation date
							</td>
						</tr>
						<tr valign="top">
							<td>
								<dw:DateSelector runat="server" EnableViewState="false" ID="PublishTo" />
							</td>
							<td>
								Deactivation date
							</td>
						</tr>
						</table>
					</dw:RibbonBarPanel>
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="lastModfifiedDateGroup" Name="Last modified date" runat="server">
					<dw:RibbonBarCheckbox ID="updateLastModifed" Text="Update?" ImagePath="/Admin/Public/DateSelector/cal.png" RenderAs="Default" runat="server" />
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="publishGroup" Name="Publish" runat="server">
					<dw:RibbonBarCheckbox ID="published" Text="Show On-line?" Image="Apply" runat="server" />
				</dw:RibbonBarGroup>
			</dw:RibbonBarTab>
		</dw:RibbonBar>
		<dw:GroupBox Title="Basic Data" runat="server">
			<table>
			<tr>
				<td class="Label">
					Title
				</td>
				<td>
					<asp:TextBox ID="ArticleTitle" runat="server" CssClass="std" Width="400" />
				</td>
			</tr>
			<tr>
				<td class="Label">
					Summary
				</td>
				<td>
					<asp:TextBox ID="Summary" runat="server" TextMode="MultiLine" CssClass="std" Height="100" Width="400" />
				</td>
			</tr>
			</table>
		</dw:GroupBox>
		<dw:GroupBox ID="GroupBox1" Title="SEO Data" runat="server">
			<table>
			<tr>
				<td class="Label">
					SEO Description
				</td>
				<td>
					<asp:TextBox ID="SeoDescription" runat="server" TextMode="MultiLine" CssClass="std" Height="100" Width="400" />
				</td>
			</tr>
			</table>
		</dw:GroupBox>
		<dw:GroupBox ID="GroupBox2" Title="Main content" runat="server">
			<table>
			<tr>
				<td class="Label">
					Body
				</td>
				<td>
					<asp:TextBox ID="Body" runat="server" TextMode="MultiLine" CssClass="std" Height="200" Width="400" />
				</td>
			</tr>
			</table>
		</dw:GroupBox>
	</div>
	</form>
</body>
</html>
