﻿using Dynamicweb;
using Dynamicweb.Extensibility;

namespace Dynamicweb.Samples.Web
{
	[AddInName("MyModule")]
	public class MyModule : ContentModule
	{
		public override string GetContent()
		{
			//Get an instance of a  template object
			Dynamicweb.Templatev2.Template template = new Dynamicweb.Templatev2.Template("MyModule/" + Properties.Values["SampleTemplate"].ToString());

			//Set a tag named  "Text" with the value from the HelloText property
			template.SetTag("Text", Properties.Values["HelloText"].ToString());
			template.SetTag("Description", Properties.Values["Description"].ToString());

			//Return the parsed  template to the event handler
			return template.Output();
		}
	}
}